For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve partner invoice

Access information about partner invoices in the Avangate system based on their unique references.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, output of the Login method. An exception is thrown if the values are incorrect.

proformaNumber

Required (string) The unique identifier of a partner invoice from the Avangate system.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$proformaNumber = 'YOUR_PROFORMA_NUMBER';

try {
    $Proforma= $client->getProforma ($sessionID, $proformaNumber,True);
} catch (SoapFault $e) {
    echo "ProformaOutput: " . $e->getMessage();
    exit;
}
var_dump ("ProformaOutput", $Proforma);

Errors

Error
Description

INVALID_PARTNER

No partner is set.

INVALID_PROFORMA_NUMBER

Invalid partner invoice number.

Last updated

Was this helpful?